/*
 * FITAWTab.java
 *
 * Created on 13 July 2007, 22:21
 */

package archery;

/**
 *
 * @author  Chris
 */
public class FITAWTab extends TabPanel {
    
    /** Creates new form FITAWTab */
    public FITAWTab() {
        setDistance();
        initComponents();
    }
    
     public String toString() {
        return "FITAW";
    }
     
     public int[] getDistances() {
         return distances;
     }
     int[] distances = new int[] {70, 60, 50, 30};
    
    //Variables
    int rowNum = 0;
    int colNum = 1;
    int total = 0;
    int runningTotal = 0;
    private int distance;
    private boolean metric = true;
    
    public boolean isMetric() {
        return metric;
    }
    
    public int getDistance() {
        setDistance();
        return distance;
    }
    
    public void setDistance() {
        if(rowNum >= 0 && rowNum < 5) {
            distance = 70;            
        }
        else if(rowNum > 5 && rowNum < 12) {
            distance = 60;
        }
        else if(rowNum > 12 && rowNum < 19) {
            distance = 50;
        }
        else if(rowNum > 19) {
            distance = 30;
        }
    }
    
    public void submitScores(int[][] scores, int end) {
        int total = 0;        
        
        if(rowNum < 28) {                
            if(rowNum % 7 == 0) {
                rowNum++;
            }
                for(int i = 1; i <= 6; i++) {
                    //Populates a row with scores recorded in target2.scores[].
                    //rowNum determines what row
                    fita.setValueAt(scores[end][i], rowNum, colNum++);
                    total += scores[end][i];
                }            
                runningTotal += total;
                runTot.setText("" + runningTotal + "/1440");
                fita.setValueAt(total, rowNum, 7);                    
                rowNum++;
                colNum = 1;    
            }
        else {
            jLabel1.setText("Round Over, you scored " + runningTotal + "/1440");
            runTot.setText("");
        }
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc=" Generated Code ">//GEN-BEGIN:initComponents
    private void initComponents() {
        jScrollPane1 = new javax.swing.JScrollPane();
        fita = new javax.swing.JTable();
        jLabel1 = new javax.swing.JLabel();
        runTot = new javax.swing.JLabel();

        fita.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {"70m", null, null, null, null, null, null, null},
                {"1", null, null, null, null, null, null, null},
                {"2", null, null, null, null, null, null, null},
                {"3", null, null, null, null, null, null, null},
                {"4", null, null, null, null, null, null, null},
                {"5", null, null, null, null, null, null, null},
                {"6", null, null, null, null, null, null, null},
                {"60m", null, null, null, null, null, null, null},
                {"1", null, null, null, null, null, null, null},
                {"2", null, null, null, null, null, null, null},
                {"3", null, null, null, null, null, null, null},
                {"4", null, null, null, null, null, null, null},
                {"5", null, null, null, null, null, null, null},
                {"6", null, null, null, null, null, null, null},
                {"50m", null, null, null, null, null, null, null},
                {"1", null, null, null, null, null, null, null},
                {"2", null, null, null, null, null, null, null},
                {"3", null, null, null, null, null, null, null},
                {"4", null, null, null, null, null, null, null},
                {"5", null, null, null, null, null, null, null},
                {"6", null, null, null, null, null, null, null},
                {"30m", null, null, null, null, null, null, null},
                {"1", null, null, null, null, null, null, null},
                {"2", null, null, null, null, null, null, null},
                {"3", null, null, null, null, null, null, null},
                {"4", null, null, null, null, null, null, null},
                {"5", null, null, null, null, null, null, null},
                {"6", null, null, null, null, null, null, null}
            },
            new String [] {
                "E", "1", "2", "3", "4", "5", "6", "T"
            }
        ) {
            Class[] types = new Class [] {
                java.lang.String.class, java.lang.Integer.class, java.lang.Integer.class, java.lang.Integer.class, java.lang.Integer.class, java.lang.Integer.class, java.lang.Integer.class, java.lang.Integer.class
            };
            boolean[] canEdit = new boolean [] {
                false, true, true, true, true, true, true, false
            };

            public Class getColumnClass(int columnIndex) {
                return types [columnIndex];
            }

            public boolean isCellEditable(int rowIndex, int columnIndex) {
                return canEdit [columnIndex];
            }
        });
        jScrollPane1.setViewportView(fita);

        jLabel1.setText("Running Total:");

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(runTot)
                .addContainerGap(154, Short.MAX_VALUE))
            .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 240, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 289, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(runTot)
                    .addComponent(jLabel1))
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTable fita;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JLabel runTot;
    // End of variables declaration//GEN-END:variables
    
}
