/*
 * FITATab.java
 *
 * Created on 13 July 2007, 14:37
 */

package archery;

/**
 *
 * @author  christopher
 */
public class LongWestern extends TabPanel {
    
    /** Creates new form StGeorge */
    public LongWestern() {
        setDistance();
        initComponents();
    }
    
     public String toString() {
        return "longwestern";
    }
     
     public int[] getDistances() {
         return distances;
     }
    
    //Variables
    int rowNum = 0;
    int colNum = 1;
    int total = 0;
    int runningTotal = 0;
    private int distance;
    private boolean metric = false;
    int[] distances = new int[] {80, 60};
    
    public boolean isMetric() {
        return metric;
    }
    
    public int getDistance() {
        setDistance();
        return distance;
    }
    
    public void setDistance() {
        if(rowNum >= 0 && rowNum < 9) {
            distance = 80;            
        }
        else if(rowNum > 9 && rowNum < 18) {
            distance = 60;
        }
    }
    
    public void submitScores(int[][] scores, int end) {
        int total = 0;        
        
        if(rowNum < 18) {            
            if(rowNum % 9 == 0) {
                rowNum++;
            }
                for(int i = 1; i <= 6; i++) {
                    //Populates a row with scores recorded in target2.scores[].
                    //rowNum determines what row
                    fita.setValueAt(scores[end][i], rowNum, colNum++);
                    total += scores[end][i];
                }            
                runningTotal += total;
                runTot.setText("" + runningTotal + "/864");
                fita.setValueAt(total, rowNum, 7);
                rowNum++;
                colNum = 1;    
            }
        else {
            jLabel1.setText("Round Over, you scored " + runningTotal + "/864");
            runTot.setText("");
        }
    }
    
    
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc=" Generated Code ">//GEN-BEGIN:initComponents
    private void initComponents() {
        jScrollPane1 = new javax.swing.JScrollPane();
        fita = new javax.swing.JTable();
        jLabel1 = new javax.swing.JLabel();
        runTot = new javax.swing.JLabel();

        jScrollPane1.setBorder(null);
        fita.setFont(new java.awt.Font("Tahoma", 0, 10));
        fita.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {"80yds", null, null, null, null, null, null, null},
                {"1", null, null, null, null, null, null, null},
                {"2", null, null, null, null, null, null, null},
                {"3", null, null, null, null, null, null, null},
                {"4", null, null, null, null, null, null, null},
                {"5", null, null, null, null, null, null, null},
                {"6", null, null, null, null, null, null, null},
                {"7", null, null, null, null, null, null, null},
                {"8", null, null, null, null, null, null, null},
                {"60yds", null, null, null, null, null, null, null},
                {"1", null, null, null, null, null, null, null},
                {"2", null, null, null, null, null, null, null},
                {"3", null, null, null, null, null, null, null},
                {"4", null, null, null, null, null, null, null},
                {"5", null, null, null, null, null, null, null},
                {"6", null, null, null, null, null, null, null},
                {"7", null, null, null, null, null, null, null},
                {"8", null, null, null, null, null, null, null}
            },
            new String [] {
                "E", "1", "2", "3", "4", "5", "6", "T"
            }
        ) {
            Class[] types = new Class [] {
                java.lang.String.class, java.lang.Integer.class, java.lang.Integer.class, java.lang.Integer.class, java.lang.Integer.class, java.lang.Integer.class, java.lang.Integer.class, java.lang.Integer.class
            };
            boolean[] canEdit = new boolean [] {
                false, true, true, true, true, true, true, false
            };

            public Class getColumnClass(int columnIndex) {
                return types [columnIndex];
            }

            public boolean isCellEditable(int rowIndex, int columnIndex) {
                return canEdit [columnIndex];
            }
        });
        jScrollPane1.setViewportView(fita);

        jLabel1.setText("Running total:");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel1)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(runTot)
                .addContainerGap(156, Short.MAX_VALUE))
            .add(org.jdesktop.layout.GroupLayout.TRAILING, jScrollPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 240, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .add(jScrollPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 289, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel1)
                    .add(runTot))
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTable fita;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JLabel runTot;
    // End of variables declaration//GEN-END:variables
}
